/**
 * Copyright 2022-2025 Theai, Inc. dba Inworld AI
 */

using UnrealBuildTool;

public class InworldRuntime : ModuleRules
{
	public InworldRuntime(ReadOnlyTargetRules Target) : base(Target)
	{
		PCHUsage = ModuleRules.PCHUsageMode.UseExplicitOrSharedPCHs;

		PublicDependencyModuleNames.AddRange(
			new string[]
			{
				"Core",
                "CoreUObject",
                "Engine",
                "GameplayTags",
                "Projects",
            }
		);

        PrivateDependencyModuleNames.AddRange(
            new string[]
            {
                "InworldRuntimeLibrary",
                "AudioCaptureCore",
                "AudioMixer",
                "AudioPlatformConfiguration",
                "Json",
                "JsonUtilities",
                "InputCore",
                "RenderCore"
            }
        );

        SetupGameplayDebuggerSupport(Target);
        if (Target.bBuildEditor == true)
        {
            PrivateDependencyModuleNames.AddRange(
                new string[]
                {
                    "UnrealEd",
                }
            );
        }
    }
}
